<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@description
@version 2.0
CU: Comunicar notificación de resolución
página en la que se registra la comunicación de la comunicación de la resolución

-->

<h:form id="registroComunicNotifForm" onkeypress="return event.keyCode != 13;"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:messages id="msgsRCN" showDetail="false" globalOnly="false" />

    <h:panelGrid columns="1" cellspacing="10" width="100%">

        <h:panelGrid columns="4" width="100%" cellspacing="10">
            <h:outputLabel
                value="Medio por el cual se comunicó el aviso:"
                styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            <h:selectOneMenu id="medioDeEnvio" label="Medio de envio"
                             value="#{notificacionPorEdicto.medioComunicNotif}"
                             style="width:150px;"
                             required="true">
                <f:selectItem itemLabel="Seleccionar..." itemValue="" />
                <f:selectItems value="#{general.tramiteDocumentoMeNoFi}" />
            </h:selectOneMenu>
            <p:message for="medioDeEnvio" display="icon" id="medioDeEnvioMsg" />

            <h:outputLabel
                value="Fecha de comunicación:"
                styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            <p:calendar id="fechaNotificacion" effect="explode" 
                        style="width:150px;" maxdate="#{general.fechaActual}" title="#{general.formatoFechaUsuario}"
                        locale="es_CO" value="#{notificacionPorEdicto.fechaComunicNotif}"
                        navigator="true" label="Fecha de notificación" showOn="both"
                        required="true" pattern="#{general.formatoFechaComponenteCalendar}"/>
            <p:message for="fechaNotificacion" display="icon" id="fechaMsg" />

        </h:panelGrid>

        <h:panelGrid columns="1" width="100%" cellspacing="10">
            <h:outputLabel value="Observación:" styleClass="outputLabelStyle" />
            <h:inputTextarea id="observacion" onkeydown="controlarNroChars(this, 600, true)"
                             onkeyup="controlarNroChars(this, 600, true)"
                             value="#{notificacionPorEdicto.observacionesComunicNotif}"
                             style="width:600px;height:80px;" />
        </h:panelGrid>

        <h:panelGrid id="panelButtons" columns="3" cellspacing="10">
            <p:commandButton id="aceptarRegistroBtn1" value="Aceptar"
                             icon="ui-icon-disk" title="Registra la comunicación del aviso"
                             style="width:120px;height:20px;"
                             update=":edictoForm, :notificarPorEdictoForm, msgsRCN, medioDeEnvioMsg, fechaMsg"
                             action="#{notificacionPorEdicto.registrarComunicacionNotificacion}"
                             oncomplete="handleCompleteSIC(xhr, status, args, registroAvisoWV, false)" />

        </h:panelGrid>
    </h:panelGrid>

</h:form>